# CUpti_ActivityMemcpy3 Struct Reference

The activity record for memory copies. (deprecated in CUDA 11.1). More...

## Data Fields

uint64_t | bytes
uint32_t | contextId
uint8_t | copyKind
uint32_t | correlationId
uint32_t | deviceId
uint8_t | dstKind
uint64_t | end
uint8_t | flags
uint64_t | graphNodeId
CUpti_ActivityKind | kind
void * | reserved0
uint32_t | runtimeCorrelationId
uint8_t | srcKind
uint64_t | start
uint32_t | streamId

## Detailed Description

This activity record represents a memory copy (CUPTI_ACTIVITY_KIND_MEMCPY).

## Field Documentation

uint64_t CUpti_ActivityMemcpy3::bytes

The number of bytes transferred by the memory copy.

uint32_t CUpti_ActivityMemcpy3::contextId

The ID of the context where the memory copy is occurring.

uint8_t CUpti_ActivityMemcpy3::copyKind

The kind of the memory copy, stored as a byte to reduce record size.

See also:
  CUpti_ActivityMemcpyKind

uint32_t CUpti_ActivityMemcpy3::correlationId

The correlation ID of the memory copy. Each memory copy is assigned a unique correlation ID that is identical to the correlation ID in the driver API activity record that launched the memory copy.

uint32_t CUpti_ActivityMemcpy3::deviceId

The ID of the device where the memory copy is occurring.

uint8_t CUpti_ActivityMemcpy3::dstKind

The destination memory kind read by the memory copy, stored as a byte to reduce record size.

See also:
  CUpti_ActivityMemoryKind

uint64_t CUpti_ActivityMemcpy3::end

The end timestamp for the memory copy, in ns. A value of 0 for both the start and end timestamps indicates that timestamp information could not be collected for the memory copy.

uint8_t CUpti_ActivityMemcpy3::flags

The flags associated with the memory copy.

See also:
  CUpti_ActivityFlag

uint64_t CUpti_ActivityMemcpy3::graphNodeId

The unique ID of the graph node that executed this memcpy through graph launch. This field will be 0 if the memcpy is not done through graph launch.

CUpti_ActivityKind CUpti_ActivityMemcpy3::kind

The activity record kind, must be CUPTI_ACTIVITY_KIND_MEMCPY.

void* CUpti_ActivityMemcpy3::reserved0

Undefined. Reserved for internal use.

uint32_t CUpti_ActivityMemcpy3::runtimeCorrelationId

The runtime correlation ID of the memory copy. Each memory copy is assigned a unique runtime correlation ID that is identical to the correlation ID in the runtime API activity record that launched the memory copy.

uint8_t CUpti_ActivityMemcpy3::srcKind

The source memory kind read by the memory copy, stored as a byte to reduce record size.

See also:
  CUpti_ActivityMemoryKind

uint64_t CUpti_ActivityMemcpy3::start

The start timestamp for the memory copy, in ns. A value of 0 for both the start and end timestamps indicates that timestamp information could not be collected for the memory copy.

uint32_t CUpti_ActivityMemcpy3::streamId

The ID of the stream where the memory copy is occurring.